Set a host's calendars, hours and buffers
PUT
/v1/workspace/meetings/hosts/{user_id}/schedule
const url = 'https://api.vocapable.com/v1/workspace/meetings/hosts/example/schedule';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1,"calendar_ids":["example"],"write_calendar_id":"example","timezone":"example","working_hours":{"additionalProperty":[["example"]]},"buffer_before_minutes":1,"buffer_after_minutes":1,"allow_share_booking":true,"share_duration_minutes":15}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.vocapable.com/v1/workspace/meetings/hosts/example/schedule \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1, "calendar_ids": [ "example" ], "write_calendar_id": "example", "timezone": "example", "working_hours": { "additionalProperty": [ [ "example" ] ] }, "buffer_before_minutes": 1, "buffer_after_minutes": 1, "allow_share_booking": true, "share_duration_minutes": 15 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceHostScheduleUpdate
object
calendar_ids
Any of:
Array<string>
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceHostSchedule
object
user_id
required
User Id
string
calendar
required
WorkspaceHostCalendar
What a host’s calendar can do for a booking, stated exactly.
object
state
required
State
string
calendars
required
Calendars
Array<object>
WorkspaceCalendarChoiceobject
id
required
Id
string
label
required
Label
string
writable
required
Writable
boolean
working_hours
required
Working Hours
object
key
additional properties
Array<Array<string>>
buffer_before_minutes
required
Buffer Before Minutes
integer
buffer_after_minutes
required
Buffer After Minutes
integer
event_types
required
detail
required
Detail
string
connect_path
required
Connect Path
string
allow_share_booking
required
Allow Share Booking
boolean
share_duration_minutes
required
Share Duration Minutes
integer
Example
{ "calendar": { "state": "connected", "provider": "google_calendar" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}